OutofcoreCloud::CloudDataCacheItem Class Reference

`#include <pcl/outofcore/visualization/outofcore_cloud.h>`

Inheritance diagram for OutofcoreCloud::CloudDataCacheItem:

## Public Member Functions

| CloudDataCacheItem (std::string pcd_file, float coverage, vtkSmartPointer< vtkPolyData > cloud_data, size_t timestamp)
virtual size_t | sizeOf () const
Public Member Functions inherited from LRUCacheItem< vtkSmartPointer< vtkPolyData > >
virtual | ~LRUCacheItem ()

## Public Attributes

std::string | pcd_file
float | coverage
Public Attributes inherited from LRUCacheItem< vtkSmartPointer< vtkPolyData > >
vtkSmartPointer< vtkPolyData > | item
size_t | timestamp

## Detailed Description

Definition at line 91 of file outofcore_cloud.h.

## Constructor & Destructor Documentation

## CloudDataCacheItem()

OutofcoreCloud::CloudDataCacheItem::CloudDataCacheItem | ( | std::string | pcd_file,
|  | float | coverage,
|  | vtkSmartPointer< vtkPolyData > | cloud_data,
|  | size_t | timestamp
| ) |  |

inline

Definition at line 95 of file outofcore_cloud.h.

References OutofcoreCloud::PcdQueueItem::coverage, and OutofcoreCloud::PcdQueueItem::pcd_file.

## Member Function Documentation

## sizeOf()

virtual size_t OutofcoreCloud::CloudDataCacheItem::sizeOf | ( |  | ) | const

inline virtual

Reimplemented from LRUCacheItem< vtkSmartPointer< vtkPolyData > >.

Definition at line 104 of file outofcore_cloud.h.

## Member Data Documentation

## coverage

float OutofcoreCloud::CloudDataCacheItem::coverage

Definition at line 110 of file outofcore_cloud.h.

## pcd_file

std::string OutofcoreCloud::CloudDataCacheItem::pcd_file

Definition at line 109 of file outofcore_cloud.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/outofcore/include/pcl/outofcore/visualization/outofcore_cloud.h